Bug 111691 - inconsistent cursor movement speed when using AMD 5700 XT
Summary: inconsistent cursor movement speed when using AMD 5700 XT
Status: NEW
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/AMDgpu (show other bugs)
Version: DRI git
Hardware: x86-64 (AMD64) Linux (All)
: not set not set
Assignee: Default DRI bug account
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-09-16 10:17 UTC by Michael Haworth
Modified: 2019-10-11 16:19 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
video of the cursors motion when moving the mouse at a reasonable speed (68.26 KB, video/mp4)
2019-09-16 10:17 UTC, Michael Haworth
no flags Details
dmesg output after booting with HW cursor enabled (94.29 KB, text/plain)
2019-09-16 18:33 UTC, Michael Haworth
no flags Details
Xorg log after booting with HW cursor enabled (39.54 KB, text/x-log)
2019-09-16 18:33 UTC, Michael Haworth
no flags Details
xorg log on xubuntu 19.10 (where bug is not present) (73.37 KB, text/x-log)
2019-09-28 09:39 UTC, Michael Haworth
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Haworth 2019-09-16 10:17:19 UTC
Created attachment 145372 [details]
video of the cursors motion when moving the mouse at a reasonable speed

Overview: After updating kernel to 5.3rc + firmware from https://people.freedesktop.org/~agd5f/radeon_ucode/navi10/ I am experiencing a very laggy and erratic cursor when using a Radeon 5700 XT

Steps to Reproduce: Use a navi10 card with the latest kernel and firmware. Tried many desktop environments with both Xorg and Wayland

Build Date & Hardware: Built September 2019. AMD Radeon 5700 XT


Additional Builds and Platforms: Issue doesn't occur if I use a Radeon RX 580 instead of the navi card and isn't triggered on Windows 7/10
Comment 1 Michael Haworth 2019-09-16 10:19:44 UTC
I forgot to mention that I have been using oibaf's PPA in addition to the other software. I was under the impression that I had to do this for the display to function.
Comment 2 Michael Haworth 2019-09-16 10:22:04 UTC
A workaround is to enable SWCursor in Xorg
Comment 3 Alex Deucher 2019-09-16 18:27:25 UTC
Please attach your xorg log (if using X) and your dmesg output.  If this is a regression, can you bisect?
Comment 4 Michael Haworth 2019-09-16 18:33:30 UTC
Created attachment 145382 [details]
dmesg output after booting with HW cursor enabled
Comment 5 Michael Haworth 2019-09-16 18:33:55 UTC
Created attachment 145383 [details]
Xorg log after booting with HW cursor enabled
Comment 6 Michael Haworth 2019-09-16 18:36:13 UTC
I have attached the logs but do not know how to answer your question, this is my first bug report.
Comment 7 Felix Schwarz 2019-09-16 20:20:32 UTC
>> If this is a regression, can you bisect?
> do not know how to answer your question, this is my first bug report.

Regression: Was the bug always present (as far as you know) or did it work in the past?

If it worked previously you can do a "git bisection" to find the problematic change. This increases the likelihood that AMD's driver developers can build a fix quickly.
Comment 8 Michael Haworth 2019-09-16 20:24:25 UTC
Thanks for the explanation. I only recently bought the graphics card and the bug occurred the first time I used it on linux
Comment 9 Michael Haworth 2019-09-16 22:18:27 UTC
I updated to the 5.3 release but has not fixed the issue
Comment 10 Michael Haworth 2019-09-19 21:01:17 UTC
issue occurs with the closed source drivers too, on kernel 4.15 (linux mint 19.2) but to a much lesser extent
Comment 11 Michael Haworth 2019-09-27 19:28:00 UTC
Issue is not present in Ubuntu 19.10 beta
Comment 12 Andre Klapper 2019-09-28 08:28:30 UTC
Nearly nobody knows which versions are shipped by some distribution in some release. Please always provide version information - thanks.
Comment 13 Michael Haworth 2019-09-28 09:38:27 UTC
running Xubuntu 19.10 - version information below (sorry for not providing it earlier):

linux-firmware (1.182) eoan; urgency=medium

  * Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git
    6c6918ad8ae0dfb2cb591484eba525409980c16f

linux-generic (5.3.0-12.13) eoan; urgency=medium

  * Master version: 5.3.0-12.13

xserver-xorg-video-amdgpu (19.0.1-1)

xorg-server 2:1.20.5+git20190820-0ubuntu3

I will provide xorg log too
Comment 14 Michael Haworth 2019-09-28 09:39:19 UTC
Created attachment 145575 [details]
xorg log on xubuntu 19.10 (where bug is not present)
Comment 15 Jaap Buurman 2019-10-11 11:38:47 UTC
I am running into the same issue.

Arch
Kernel: 5.3.5
llvm: 9.0.0
Mesa: 19.2.0
xf86-video-amdgpu: 19.0.1
Linux-firmware: 20190923

Let me know if I can supply any additional information.
Comment 16 takios+fdbugs 2019-10-11 16:17:57 UTC
I ran into the same issue but after installing linux kernel 5.4rc2 it was fixed.
Comment 17 Jaap Buurman 2019-10-11 16:19:52 UTC
(In reply to takios+fdbugs from comment #16)
> I ran into the same issue but after installing linux kernel 5.4rc2 it was
> fixed.

That's good to hear! Does anyone know whether the fix will be backported to the 5.3 kernel? It's gonna take a while before 5.4 becomes mainline.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.